## PDC Delete Config request PDC Delete Config request |

## Functions

QmiMessagePdcDeleteConfigInput * | qmi_message_pdc_delete_config_input_new ()
QmiMessagePdcDeleteConfigInput * | qmi_message_pdc_delete_config_input_ref ()
void | qmi_message_pdc_delete_config_input_unref ()
gboolean | qmi_message_pdc_delete_config_input_get_id ()
gboolean | qmi_message_pdc_delete_config_input_set_id ()
gboolean | qmi_message_pdc_delete_config_input_get_token ()
gboolean | qmi_message_pdc_delete_config_input_set_token ()
gboolean | qmi_message_pdc_delete_config_input_get_config_type ()
gboolean | qmi_message_pdc_delete_config_input_set_config_type ()
QmiMessagePdcDeleteConfigOutput * | qmi_message_pdc_delete_config_output_ref ()
void | qmi_message_pdc_delete_config_output_unref ()
gboolean | qmi_message_pdc_delete_config_output_get_token ()
gboolean | qmi_message_pdc_delete_config_output_get_result ()
void | qmi_client_pdc_delete_config ()
QmiMessagePdcDeleteConfigOutput * | qmi_client_pdc_delete_config_finish ()

## Types and Values

| QmiMessagePdcDeleteConfigInput
| QmiMessagePdcDeleteConfigOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcDeleteConfigInput
        ╰── QmiMessagePdcDeleteConfigOutput

## Description

## Functions

### qmi_message_pdc_delete_config_input_new ()

    QmiMessagePdcDeleteConfigInput *
    qmi_message_pdc_delete_config_input_new
                                   (void);

Allocates a new QmiMessagePdcDeleteConfigInput.

#### Returns

the newly created QmiMessagePdcDeleteConfigInput. The returned value should be freed with `qmi_message_pdc_delete_config_input_unref()`.

Since: 1.18

### qmi_message_pdc_delete_config_input_ref ()

    QmiMessagePdcDeleteConfigInput *
    qmi_message_pdc_delete_config_input_ref
                                   (QmiMessagePdcDeleteConfigInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_delete_config_input_unref ()

    void
    qmi_message_pdc_delete_config_input_unref
                                   (QmiMessagePdcDeleteConfigInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |

Since: 1.18

### qmi_message_pdc_delete_config_input_get_id ()

    gboolean
    qmi_message_pdc_delete_config_input_get_id
                                   (QmiMessagePdcDeleteConfigInput *self,
                                    GArray **value_id,
                                    GError **error);

Get the 'Id' field from `self` .

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |
value_id | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_delete_config_input_set_id ()

    gboolean
    qmi_message_pdc_delete_config_input_set_id
                                   (QmiMessagePdcDeleteConfigInput *self,
                                    GArray *value_id,
                                    GError **error);

Set the 'Id' field in the message.

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |
value_id | a GArray of guint8 elements. A new reference to `value_id` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_delete_config_input_get_token ()

    gboolean
    qmi_message_pdc_delete_config_input_get_token
                                   (QmiMessagePdcDeleteConfigInput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_delete_config_input_set_token ()

    gboolean
    qmi_message_pdc_delete_config_input_set_token
                                   (QmiMessagePdcDeleteConfigInput *self,
                                    guint32 value_token,
                                    GError **error);

Set the 'Token' field in the message.

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |
value_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_delete_config_input_get_config_type ()

    gboolean
    qmi_message_pdc_delete_config_input_get_config_type
                                   (QmiMessagePdcDeleteConfigInput *self,
                                    QmiPdcConfigurationType *value_config_type,
                                    GError **error);

Get the 'Config Type' field from `self` .

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |
value_config_type | a placeholder for the output QmiPdcConfigurationType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_delete_config_input_set_config_type ()

    gboolean
    qmi_message_pdc_delete_config_input_set_config_type
                                   (QmiMessagePdcDeleteConfigInput *self,
                                    QmiPdcConfigurationType value_config_type,
                                    GError **error);

Set the 'Config Type' field in the message.

#### Parameters

self | a QmiMessagePdcDeleteConfigInput. |
value_config_type | a QmiPdcConfigurationType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_delete_config_output_ref ()

    QmiMessagePdcDeleteConfigOutput *
    qmi_message_pdc_delete_config_output_ref
                                   (QmiMessagePdcDeleteConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcDeleteConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_delete_config_output_unref ()

    void
    qmi_message_pdc_delete_config_output_unref
                                   (QmiMessagePdcDeleteConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcDeleteConfigOutput. |

Since: 1.18

### qmi_message_pdc_delete_config_output_get_token ()

    gboolean
    qmi_message_pdc_delete_config_output_get_token
                                   (QmiMessagePdcDeleteConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcDeleteConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_delete_config_output_get_result ()

    gboolean
    qmi_message_pdc_delete_config_output_get_result
                                   (QmiMessagePdcDeleteConfigOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcDeleteConfigOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_delete_config ()

    void
    qmi_client_pdc_delete_config (QmiClientPdc *self,
                                  QmiMessagePdcDeleteConfigInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Delete Config request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_delete_config_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcDeleteConfigInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_delete_config_finish ()

    QmiMessagePdcDeleteConfigOutput *
    qmi_client_pdc_delete_config_finish (QmiClientPdc *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_pdc_delete_config()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_delete_config()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcDeleteConfigOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_delete_config_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcDeleteConfigInput

    typedef struct _QmiMessagePdcDeleteConfigInput QmiMessagePdcDeleteConfigInput;

The QmiMessagePdcDeleteConfigInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcDeleteConfigOutput

    typedef struct _QmiMessagePdcDeleteConfigOutput QmiMessagePdcDeleteConfigOutput;

The QmiMessagePdcDeleteConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18